@font-face {
    font-family: 'StepsMono';
    src: url('assets/StepsMono.otf') format('opentype');
}

@font-face {
    font-family: 'InstrumentSerif';
    src: url('assets/InstrumentSerif.ttf') format('truetype');
}

:root {
    --color-primary: #F63B1D;
    --primary-red: rgb(246, 59, 29);
    --primary-blue: rgb(39, 74, 236);
    --primary-green: rgb(6, 158, 3);
    --primary-black: #262626;
    --color-bg: #FCFCF7;
    --bg-white: #FCFCF7;
    --bg-red: #FB5A41;
    --bg-blue: #617BF8;
    --bg-green: #54B552;
    --bg-yellow: #F7D561;
    --shadow-left: rgb(39, 74, 236);
    --shadow-right: rgb(6, 158, 3);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    font-family: 'StepsMono', monospace;
    color: var(--color-primary);
    background-color: var(--color-bg);
}

::selection {
    background-color: var(--color-primary);
    color: var(--color-bg);
}

header {
    padding: 16px 24px;
    position: fixed;
    top: 0;
    z-index: 100;
    font-size: 12px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    align-items: center;
    width: 100%;
    font-size: clamp(12px,1.4svh,16px);
    text-transform: uppercase;
}

header .colors {
    display: flex;
    gap: 8px;
}

header button {
    display: block;
    width: 12px;
    aspect-ratio: 1;
    background: none;
    border: 1px solid var(--color-primary);
    border-radius: 4px;
    color: var(--color-primary);
    cursor: pointer;
    font-family: 'StepsMono', monospace;
    text-transform: uppercase;
    transform: rotate(45deg);

    &.fill {
        background-color: var(--color-primary);
        color: var(--color-bg);
    }
}

header button:hover {
    background-color: var(--color-primary);
    color: var(--color-bg); 
}

header div:nth-child(2) {
    vertical-align: middle;
    text-align: center;
}

nav ul {
    list-style: none;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    gap: 24px;
}

nav a {
    display: inline-flex;
    color: var(--color-primary);
    text-decoration: none;
    transition: all 0.3s;
}

nav a:hover {
    text-decoration: underline;
}


.hero {
    margin: 0 auto;
    text-align: center;
    padding-top: 44px;
}

.hero-logo {
    height: max(39.02svh, 320px);
    animation: shadow-shake 0.18s infinite linear;
}

.hero h1 {
    font-family: 'InstrumentSerif', serif;
    text-transform: uppercase;
    font-size: max(4.88svh, 40px);
    line-height: 98%;
    letter-spacing: -.01em;
    margin-top: max(3.4svh, 28px);
    margin-bottom: max(3.4svh, 28px);
}

.hero p {
    font-family: 'InstrumentSerif', serif;
    font-size: max(1.95svh, 16px);
    margin-bottom: max(4.88svh, 40px);
    line-height: 134%;
}

.btn {
    display: inline-block;
    padding: 2svh 4.4svh;
    background-color: transparent;
    color: var(--color-primary);
    font-family: 'InstrumentSerif', serif;
    font-size: max(1.95svh, 16px);
    text-decoration: none;
    border: 1px solid var(--color-primary);
    border-radius: 50%;
    transition: background-color 0.2s, color 0.3s;
}

.btn:hover {
   /* background-color: color-mix(in srgb, var(--color-primary) 7%, transparent); */
    background-color: var(--color-primary);
    color: var(--color-bg);
}

.note {
    display: block;
    margin:  max(5.63svh, 40px) auto 0 auto;
    text-align: center;
    padding-top: 16px;
    width: 50svw;
    border-top: 0px solid var(--color-primary);
    font-size: clamp(12px,1.4svh,16px);
    line-height: clamp(16px,1.7svh,22px);
    color: var(--color-primary);
}
.mobile {
    display: none;
}

@keyframes shake {
	0% { transform: translate(2px, 1px) rotate(0deg); }
	10% { transform: translate(-1px, -2px) rotate(-1deg); }
	20% { transform: translate(-3px, 0px) rotate(1deg); }
	30% { transform: translate(0px, 2px) rotate(0deg); }
	40% { transform: translate(1px, -1px) rotate(1deg); }
	50% { transform: translate(-1px, 2px) rotate(-1deg); }
	60% { transform: translate(-3px, 1px) rotate(0deg); }
	70% { transform: translate(2px, 1px) rotate(-1deg); }
	80% { transform: translate(-1px, -1px) rotate(1deg); }
	90% { transform: translate(2px, 2px) rotate(0deg); }
	100% { transform: translate(1px, 1px) rotate(0deg); }
}

@keyframes shadow-shake {
  0%, 33% {
    filter: none;
  }
  34%, 66% {
    filter: drop-shadow(-2px 2px 0px var(--shadow-left));
  }
  67%, 100% {
    filter: drop-shadow(2px -2px 0px var(--shadow-right));
  }
}

@keyframes logo-shake {
  0%, 33% {
    filter: none;
  }
  34%, 66% {
    filter: drop-shadow(-1px 1px 0px var(--shadow-left));
  }
  67%, 100% {
    filter: drop-shadow(1px -1px 0px var(--shadow-right));
  }
}

@media (hover: hover) and (pointer: fine) {
    header button:hover {
        animation: shake 0.4s infinite linear;
    }
    header .fill:hover {
        background-color: var(--color-bg);
    }
    nav a:hover {
        animation: shake 0.4s infinite linear;
    }
    .hero-logo:hover {
        animation: none;
    }
    .btn:hover {
        animation: shake 0.4s infinite linear;
    }
}

@media (max-width: 479px) {
    header {
        padding: 8px 16px;
        grid-template-columns: 1fr 3fr 1fr;
    }
    header .colors {
        gap: 16px;
    }
    header button {
        background-color: var(--color-primary);
    }
    header button:active {
            background-color: var(--color-primary);
        }
    header .fill {
        position: absolute;
        right: 16px;
        top: 8px;
    }
    section {
        height: 100svh;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .hero {
        padding-top: 28px;
    }
    .hero-logo {
        height: auto;
        max-width: 88svw;
        animation: logo-shake 0.18s infinite linear;
    }
    
    .desktop {
        display: none;
    }
    .hero h1 {
        margin-top: 8px;
        margin-bottom: 12px;
        font-size: 40px;
        line-height: 36px;
        letter-spacing: -.02em;
    }
    .hero p {
        margin-bottom: 20px;

    }
    /* .btn {   
        animation: shake 0.8s infinite linear;
    } */
    .note {
        width: 80svw;
        padding-top: 0px;
        border-top: none;
        font-size: 12px;
        line-height: 16px;
        margin: 20px auto 40px auto;
    }
    .mobile {
        display: block;
        position: fixed;
        bottom: 0;
        padding: 8px 16px;
        width: 100%;
        text-transform: uppercase;
        font-size: 14px;
    }
    .mobile ul {
        width: 100%;
        display: flex;
        justify-content: space-between;
    }
}